from microbit import *

#Reverse 0~-100,Forward 0~100
def setLeftMotor(speed):
    i2c.write(0x10, bytearray([0x01, speed]))
	
#Reverse 0~-100,Forward 0~100   
def setRightMotor(speed): 
    i2c.write(0x10, bytearray([0x02, speed]))

def getSpeed():
    motorSpeed = i2c.read(0x10,4)
    return motorSpeed
	
def Distance():
    i2c.write(0x0b, bytearray([1]))
    sleep(2)
    temp=i2c.read(0x0b,2)
    distanceCM=(temp[0]+temp[1]*256)/10
    return distanceCM
	
	
# test code
setLeftMotor(100)
sleep(100)
setRightMotor(100)

while True:  
    spd = getSpeed()
    print(spd[0]+spd[1]*256)    #left Speed
    print(spd[2]+spd[3]*256)    #Right Speed
	print(Distance())           #ultrasonic
    sleep(500)